local NoTextBorder = true --removes the border from the score text like the OG game
local SmallText = true --makes the text smaller like the OG game
local ScoreOffset = true --adds the score offset from the OG game
local MinimizedScoreInfo = true --removes accuracy and misses

function onStartCountdown()
    setProperty('timeBarBG.visible', false)
    setProperty('timeBar.visible', false)
    setProperty('timeTxt.visible', false)
end


function onCreatePost()
  
  if MinimizedScoreInfo then
   setTextString('scoreTxt', 'Score:'..score) 
  end

  if ScoreOffset then
    setProperty('scoreTxt.x', 0)
  end

  if SmallText then
    scaleObject('scoreTxt', 1, 1)
  end
 
   if NoTextBorder then
     setTextBorder('scoreTxt', false)
  end
end

function onUpdatePost()
  
  if MinimizedScoreInfo then
   setTextString('scoreTxt', 'Score:'..score)
  end

  if ScoreOffset then
    setProperty('scoreTxt.x', 0) 
  end 
   
  if SmallText then
   scaleObject('scoreTxt', 1, 1)
  end
  
  if NoTextBorder then
   setTextBorder('scoreTxt', false)
  end

end
   
function onUpdate()

  for i = 0, getProperty('grpNoteSplashes.length') do
    setPropertyFromGroup('grpNoteSplashes', i, 'scale.x', 1)
    setPropertyFromGroup('grpNoteSplashes', i, 'scale.y', 1)
    setPropertyFromGroup('grpNoteSplashes', i, 'offset.x', -20)
    setPropertyFromGroup('grpNoteSplashes', i, 'offset.y', -14.2)
    setPropertyFromGroup('grpNoteSplashes', i, 'alpha', 0.6)
  end
end